# Configuration for RawIronPL.

[options]
    require_manual_disambiguation = true

[rulesets.default]
    ruleset = ["CombineRawAndWraps"]
    date_range = ["0000-01-01", "9999-01-01"]

[divisions]
    open = {name="Open", min=0, max=999}

    # New-style divisions (used with OpenLifter).
    submaster = {name="Sub Master", min=33, max=39}
    master1 = {name="Master 1", min=40, max=49}
    master2 = {name="Master 2", min=50, max=59}
    master3 = {name="Master 3", min=60, max=69}
    novice = {name="Novice", min=0, max=999}
	first_responder = {name="First Responder", min=0, max=999}

	# New-style tested divisions
    dt_open = {name="DT Open", min=0, max=999, tested="Yes"}
    dt_teen = {name="DT Teen", min=13, max=19, tested="Yes"}
    dt_submaster = {name="DT Sub Master", min=33, max=39, tested="Yes"}
    dt_master1 = {name="DT Master 1", min=40, max=49, tested="Yes"}
    dt_master2 = {name="DT Master 2", min=50, max=59, tested="Yes"}
    dt_novice = {name="DT Novice", min=0, max=999, tested="Yes"}
    dt_int = {name="DT Int", min=0, max=999, tested="Yes"} # Intermediate
	dt_first_responder = {name="DT First Responder", min=0, max=999, tested="Yes"}
	dt_pfm = {name="DT P/F/M", min=0, max=999, tested="Yes"}

    # Old-style divisions.
    teen = {name="Teen", min=13, max=19}
    sm = {name="SM", min=33, max=39}
    m1 = {name="M1", min=40, max=49}
    m2 = {name="M2", min=50, max=59}
    nov = {name="Nov", min=0, max=999} # Novice
    int = {name="Int", min=0, max=999} # Intermediate
    fr = {name="FR", min=0, max=999} # First Responders (Police/Fire/EMS)


[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["0000-01-01","9999-01-01"]
    sex = "M"


[weightclasses.default_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","100","110","110+"]
    date_range = ["0000-01-01","9999-01-01"]
    sex = "F"


[exemptions]
    2003 = ["ExemptDivision", "ExemptWeightClassConsistency"] # Made divisions up as they went along, lifters missing bodyweight
    2004 = ["ExemptDivision"] # Amateur/Elite divisions.
